package org.dromara.main.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.main.domain.bo.MainAuditBo;
import org.dromara.main.domain.vo.MainAuditVo;

import java.util.Collection;
import java.util.List;

public interface IMainAuditService {

    /** 查询审核列表（基础） */
    TableDataInfo<MainAuditVo> queryPageList(MainAuditBo bo, PageQuery pageQuery);

    /** 查询审核详情列表（包含企业/岗位信息） */
    TableDataInfo<MainAuditVo> queryDetailPageList(MainAuditBo bo, PageQuery pageQuery);

    /** 查询审核列表 */
    List<MainAuditVo> queryList(MainAuditBo bo);

    /** 查询审核详情列表 */
    List<MainAuditVo> queryDetailList(MainAuditBo bo);

    /** 查询详细信息 */
    MainAuditVo queryById(Long id);

    /** 查询详细信息（包含企业/岗位信息） */
    MainAuditVo queryDetailById(Long id);

    /** 新增审核 */
    Boolean insertByBo(MainAuditBo bo);

    /** 修改审核 */
    Boolean updateByBo(MainAuditBo bo);

    /** 批量删除 */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /** 审核通过 */
    Boolean auditPass(Long id, String remark);

    /** 审核驳回 */
    Boolean auditReject(Long id, String remark);
}
